Mail archive
alpine-aports

[alpine-aports] [PATCH 6/6] testing/py-boto3: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Mon, 14 Mar 2016 15:59:39 +0200

AWS SDK for Python (Boto3)
http://aws.amazon.com/sdk-for-python
---
 testing/py-boto3/APKBUILD | 48 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/py-boto3/APKBUILD
diff --git a/testing/py-boto3/APKBUILD b/testing/py-boto3/APKBUILD
new file mode 100644
index 0000000..ebea23b
--- /dev/null
+++ b/testing/py-boto3/APKBUILD
_at_@ -0,0 +1,48 @@
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=py-boto3
+_pkgname=boto3
+pkgver=1.2.6
+pkgrel=0
+pkgdesc="AWS SDK for Python (Boto3)"
+url="http://aws.amazon.com/sdk-for-python/"
+arch="noarch"
+license="apache2"
+depends="python py-botocore py-jmespath"
+depends_dev=
+makedepends="python-dev py-setuptools"
+install=
+#subpackages="$pkgname-doc $pkgname-tools"
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+tools() {
+	pkgdesc="Command line tools to deal with Amazon Web Services"
+	depends="$pkgname"
+	mkdir -p "$subpkgdir"/usr
+	mv "$pkgdir"/usr/bin "$subpkgdir"/usr
+}
+
+md5sums="50284b2f79b7920e0b5821cdfa6743a0  boto3-1.2.6.tar.gz"
+sha256sums="bdfb52711a6467d82332be2f821f9d535243c7391b041f87f73e89c920e7e45f  boto3-1.2.6.tar.gz"
+sha512sums="b93fc4a6e45baf93bb832d7841d6d08ab9e0cc2b799f672c8ff7fc085347e32165f6bbbd1e0d47a9a9b376663cdb590bb30258891ad9350b2fe6b50469968f06  boto3-1.2.6.tar.gz"
-- 
2.7.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 14 2016 - 15:59:39 GMT